edu.cmu.pslc.logging.element

## Class PropertyElement

- java.lang.Object
- - edu.cmu.pslc.logging.element.PropertyElement

-     public class PropertyElement
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PropertyElement(java.lang.String name)`
    `PropertyElement(java.lang.String name, java.util.List entryList)` Create a list-valued property.
    `PropertyElement(java.lang.String name, java.lang.String contents)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addEntry(java.lang.Object entry)` Add a single entry to a list-valued property.
    `java.util.List` | `getEntryList()`
    `java.lang.String` | `getName()`
    `java.lang.String` | `toString()` Returns the xml version of the object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PropertyElement

          public PropertyElement(java.lang.String name,
                         java.lang.String contents)

    - #### PropertyElement

          public PropertyElement(java.lang.String name,
                         java.util.List entryList)

      Create a list-valued property. Will create entry element for each list element.
      Parameters:
        `name` - property name
        `entryList` - list of values, each added by `addEntry(Object)`

    - #### PropertyElement

          public PropertyElement(java.lang.String name)

  - ### Method Detail

    - #### getEntryList

          public java.util.List getEntryList()

    - #### addEntry

          public void addEntry(java.lang.Object entry)

      Add a single entry to a list-valued property. Value stored will be result of argument's `Object.toString()` method. Stores "null" if argument is null.
      Parameters:
        `entry` - object to add

    - #### getName

          public java.lang.String getName()

    - #### toString

          public java.lang.String toString()

      Returns the xml version of the object.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        xml version of the object

Copyright (c) 2015 - Pittsburgh Science of Learning Center